import request from '../utils/request'

//获取当前币种信息
export function getCoinInfo(data) {
    return request({
      url: `pool/getCoinInfo`,
      method: 'post',
      data
    })
  }

  //获取币种算力(曲线图)
export function getPoolPower(data) {
    return request({
      url: `pool/getPoolPower`,
      method: 'post',
      data
    })
  }

//获取币种矿工数量(曲线图)
export function getMinerCount(data) {
    return request({
      url: `pool/getMinerCount`,
      method: 'post',
      data
    })
  }

//获取当前幸运值
export function getLuck(data) {
    return request({
      url: `pool/getLuck`,
      method: 'post',
      data
    })
  }

//获取币种报块信息
export function getBlockInfo(data) {
    return request({
      url: `pool/getBlockInfo`,
      method: 'post',
      data
    })
  }

  //获取全网算力
export function getNetPower(data) {
  return request({
    url: `pool/getNetPower`,
    method: 'post',
    data
  })
}

  //计算器数据
  export function getParam(data) {
    return request({
      url: `pool/getParam`,
      method: 'post',
      data
    })
  }